Project

General

Profile

Bug #21994

HTTP status: 500

Added by Yuyi Guo 7 months ago. Updated 7 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Target version:
-
Start date:
02/27/2019
Due date:
% Done:

0%

Estimated time:
First Occurred:
Scope:
Internal
Experiment:
-
Stakeholders:
Duration:

Description

INFO:requests.packages.urllib3.connectionpool:Starting new HTTPS connection (1): pomsint.fnal.gov
Traceback (most recent call last):
File "/Users/yuyi2/PycharmProjects/project-py/bin/poms_cli.py", line 147, in <module>
if poms_client.update_session_experiment(my_experiment, test_client=args.test):
File "/Users/yuyi2/PycharmProjects/poms/poms_client/python/poms_client.py", line 307, in update_session_experiment
res, sc = make_poms_call(method='update_session_experiment', session_experiment = experiment, test_client=test_client)
File "/Users/yuyi2/PycharmProjects/poms/poms_client/python/poms_client.py", line 425, in make_poms_call
raise RuntimeError( "POMS call %s error: HTTP status: %d\n%s" % ( method, status_code, res ))
RuntimeError: POMS call update_session_experiment error: HTTP status: 500
Traceback (most recent call last):
File "/home/poms/poms_releases/current/poms/webservice/service.py", line 126, in bind_session
self.session.execute("SET SESSION lock_timeout = '360s';")
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/sqlalchemy/orm/scoping.py", line 153, in do
return getattr(self.registry(), name)(*args, **kwargs)
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/sqlalchemy/orm/session.py", line 1173, in execute
bind = self.get_bind(mapper, clause=clause, **kw)
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/sqlalchemy/orm/session.py", line 1393, in get_bind
', '.join(context)))
sqlalchemy.exc.UnboundExecutionError: Could not locate a bind configured on SQL expression or this Session

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/cherrypy/_cprequest.py", line 630, in respond
self._do_respond(path_info)
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/cherrypy/_cprequest.py", line 669, in _do_respond
self.hooks.run('on_start_resource')
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/cherrypy/_cprequest.py", line 116, in run
raise exc
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/cherrypy/_cprequest.py", line 106, in run
hook()
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/cherrypy/_cprequest.py", line 65, in call
return self.callback(**self.kwargs)
File "/home/poms/poms_releases/current/poms/webservice/service.py", line 134, in bind_session
self.session.execute("SET SESSION lock_timeout = '360s';")
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/sqlalchemy/orm/scoping.py", line 153, in do
return getattr(self.registry(), name)(*args, **kwargs)
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/sqlalchemy/orm/session.py", line 1173, in execute
bind = self.get_bind(mapper, clause=clause, **kw)
File "/home/poms/venvs/poms36_venv/lib/python3.6/site-packages/sqlalchemy/orm/session.py", line 1393, in get_bind
', '.join(context)))
sqlalchemy.exc.UnboundExecutionError: Could not locate a bind configured on SQL expression or this Session

History

#1 Updated by Marc Mengel 7 months ago

This is what we get when we are out of database connections.

I've tried several times to do something about this in the code, only restarting the service seems to work...

#2 Updated by Yuyi Guo 7 months ago

Marc Mengel wrote:

This is what we get when we are out of database connections.

I've tried several times to do something about this in the code, only restarting the service seems to work...

Marc,

This happened in the middle of my tests. I was able to do the same call before this error. About 5-10 minutes after the error, , I tested again and that was fine. I am not sure if you restarted the int or not during my tests.
Yuyi



Also available in: Atom PDF